Subject: Re: PWE3 requirements Last Call

From: Muneyoshi Suzuki <[email-masked]>
Date: Thu, 20 Mar 2003 15:56:13 +0900

My comments on the draft-ietf-pwe3-requirements-05.txt are attached.

Thanks,

Muneyoshi Suzuki
Nippon Telegraph and Telephone Corp.

--------------
> 3.  Reference Model of PWE3
> 
>    A pseudo-wire (PW) is a connection between two provider edge (PE)
>    devices which connects two attachment circuits (ACs). In this
>    document, An AC is either:
>      - an Ethernet link or a 802.1Q link between two ports, or

What is "802.1Q link"? IEEE 802.1Q specifies VLAN-aware Bridge, in this
standard "link" means LLC or medium, but it does not specify any link
technology. If "802.1Q link" implies "tagged mode", as discussed on the 
mailing list, it violate the standard, so it should be removed.

--------------
>                     |<------- Pseudo Wire ------>|
>                     |                            |
>                     |    |<-- PSN Tunnel -->|    |
>               PW    V    V                  V    V    PW
>          End Service+----+                  +----+ End Service
>    +-----+    |     | PE1|==================| PE2|     |    +-----+
>    |     |----------|............PW1.............|----------|     |
>    | CE1 |    |     |    |                  |    |     |    | CE2 |
>    |     |----------|............PW2.............|----------|     |
>    +-----+  ^ |     |    |==================|    |     |    +-----+
>          ^  |       +----+                  +----+          ^
>          |  |   Provider Edge 1         Provider Edge 2     |
>          |  |                                               |
>          | Attachment Circuit                               |
>          |                                                  |
>          |<-------------- Emulated Service ---------------->|
> 
>    Customer                                                 Customer
>     Edge 1                                                   Edge 2
>                      Figure 1: PWE3 Reference Model

PW End Service and Emulated Service are undefined, and difference between
them is not addressed.

--------------
> 4.  Packet Processing
>    This section describes data plane requirements for PWE3.

"data plane" is undefined in this document.

--------------
> 4.1.3.  Support of Multiplexing and Demultiplexing
>    If a service in its native form is capable of grouping multiple
>    circuits into a "trunk", e.g. multiple ATM VCCs in a VPC or multiple
>    Ethernet 802.1Q interfaces in a port, some mechanism SHOULD be

What are "multiple Ethernet 802.1Q interfaces in a port"? Again, IEEE 802.1Q
specifies VLAN-aware Bridge, it is independent from medium such as Ethernet,
so "Ethernet 802.1Q interfaces" does not technically make sense. And it 
does not provide any trunk/multiplexing function in the MAC entity, so this
example is inappropriate for an example of trunking. 

--------------
> 5.1.  Setup and Teardown of Pseudo-Wires
>    A PW must be set up before an emulated circuit can be established,
>    and must be torn down when an emulated circuit is no longer needed.
>    Setup and teardown of a PW can be triggered by a CLI command from the
>    management plane of a PE, or by Setup/Teardown of an AC (e.g., an ATM

"management plane" is undefined in this document.

--------------
> 5.3.  PE-generated Maintenance Messages
[snip]
>    Furthermore, if a PE needs to generate and send a maintenance message
>    to a CE, the PE MUST use a maintenance message of the native service.
>    This is essential in keeping the emulated service transparent to the
>    CEs. If a PE needs to generate and send a maintenance message to a
>    remote PE, the maintenance message MUST be sent via the control
>    plane, not via the PW.

"control plane" is undefined in this document.

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Fri, 21 Mar 2003 08:40:12 -0500

>PW End Service and Emulated Service are undefined, and difference between

         Is it necessary to do so? I think that that term is
pretty well understood.

         Again, I think that most people know what a control plane
does.  Do we really need to re-define it here?

         --Tom

>_______________________________________________
>pwe3 mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Muneyoshi Suzuki <[email-masked]>
Date: Mon, 24 Mar 2003 11:44:22 +0900 (JST)

> does.  Do we really need to re-define it here?

The planes model is well understand in the B-ISDN area, because it is 
defined in I.321 "B-ISDN protocol refence model and its application".
If you claim it is already defined in the Internet technology area,
standard track RFC number that discuss the model should be specified.

Thanks,

Muneyoshi Suzuki